<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\SliderRequest;
use App\Slider;
use Illuminate\Http\Request;

class DashboardController extends Controller
{
    // dashboard page
    public function getIndex(){
        $sliders = Slider::all();

        return view('admin.pages.dashboard',compact('sliders'));
    }

    public function postIndex(SliderRequest $request)
    {
        $request->store();

        return ['status' => 'success' ,'data' => 'Slider data has been added successfully'];
    }

    public function postEdit(SliderRequest $request ,$id)
    {
        $request->edit($id);

        return ['status' => 'success' ,'data' => 'Slider data has been updated successfully'];
    }

    public function getDelete($id)
    {
        $slider = Slider::find($id);

        $slider->delete();

        return redirect()->back();
    }
}
