<?php

namespace App\Http\Controllers\Site;

use App\Contact;
use App\Http\Controllers\Controller;
use App\Mail\ContactUsMail;
use App\Message;
use Illuminate\Http\Request;
use Mail;

class ContactUSController extends Controller
{
    //

    public function getIndex()
    {
        return view('site.pages.contact.index');
    }

    public function postIndex(Request $request){
        $v = validator($request->all() ,[
            'name' => 'required',
            'email' => 'required',
            'subject' => 'required',
            'message' => 'required'
        ] ,[
            'name.required' => 'Please enter your name',
            'email.required' => 'Please enter your email address',
            'subject.required' => 'Please enter your subject',
            'message.required' => 'Please enter your message'
        ]);

        if ($v->fails()){
            return ['response' => 'error' ,'message' => implode("<br>" , $v->errors()->all())];
        }

        $message = new Message();

        $message->create([
            'name' => $request->name,
            'email' => $request->email,
            'subject' => $request->subject,
            'message' => $request->message
        ]);

        $name = $request->name;
        $email = $request->email;
        $subject = $request->subject;
        $message = $request->message;

        \Illuminate\Support\Facades\Mail::to('info@curis-health.com')->send(new ContactUsMail($name , $email , $subject , $message));

        return ['response' => 'success' ,'message' => 'An email has been sent successfully'];
    }
}
