<?php

namespace App\Http\Requests;

use App\Geographic;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Exceptions\HttpResponseException;

class GeographicRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    protected function failedValidation(Validator $validator)
    {
        $result = ['status' => 'error' ,'data' => implode("<br>" , $validator->errors()->all())];

        throw new HttpResponseException(response()->json($result , 200));
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required',
            'info' => 'required',
            'editor1' => 'required'
        ];
    }

    public function messages()
    {
        return [
            'name.required' => 'Please enter name',
            'info.required' => 'Please enter some information',
            'editor1.required' => 'Please enter the description'
        ];
    }

    public function store()
    {
        $data = Geographic::first();

        $data->name = $this->name;
        $data->info = $this->info;
        $data->description = $this->editor1;

        $data->save();
    }
}
