<?php

namespace App\Http\Requests;

use App\Solution;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Exceptions\HttpResponseException;

class SolutionRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    protected function failedValidation(Validator $validator)
    {
        $result = ['status' => 'error' ,'data' => implode("<br>" , $validator->errors()->all())];

        throw new HttpResponseException(response()->json($result , 200));
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required',
            'info' => 'required',
            'status' => 'required'
        ];
    }

    public function messages()
    {
        return [
            'name.required' => 'Please enter solution name',
            'info.required' => 'Please enter some information',
            'status.required' => 'Please enter solution status'
        ];
    }

    public function store()
    {
        $solution = new Solution();

        $solution->name = $this->name;
        $solution->info = $this->info;
        $solution->status = $this->status;
        $solution->description = $this->editor1;

        $solution->save();
    }

    public function edit($id)
    {
        $solution = Solution::find($id);

        $solution->name = $this->name;
        $solution->info = $this->info;
        $solution->status = $this->status;
        $solution->description = $this->editor1;

        $solution->save();
    }
}
