<?php

namespace App\Http\Controllers\Admin\Auth;

use App\User;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class LoginController extends Controller {

    public function __construct() {
        $this->middleware('guest.admin', ['except' => 'getLogout' ]);
    }

    public function getLogin() {
        return view('admin.auth.login');
    }

    public function postLogin(Request $r) {
        // 1- Validator::make()
        // 2- check if fails
        // 3- fails redirect or success not redirect

        $return = [
            'response' => 'success',
            'message' => 'Logged in successfully',
            'url' => 'admin/'
        ];

        // grapping admin credentials
        $name = $r->input('email');
        $password = $r->input('password');
        // Searching for the admin matches the passed email or adminname
        $admin = User::where('name', $name)->orWhere('email', $name)->first();

        if ($admin && \Illuminate\Support\Facades\Hash::check($password, $admin->password)) {
            // login the admin
            \Illuminate\Support\Facades\Auth::guard('admins')->login($admin, $r->has('remember'));
        } else {
            $return = [
                'response' => 'error',
                'message' => 'Data you entered is incorrect'
            ];
        }
        return response()->json($return);
    }

    /**
     * Logout The user
     */
    public function getLogout() {
        \Illuminate\Support\Facades\Auth::guard('admins')->logout();
        return redirect('/admin/login');
    }

}
