<?php

namespace App\Http\Controllers\Admin;

use App\Http\Requests\SolutionRequest;
use App\Solution;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class SolutionController extends Controller
{
    //
    public function getIndex()
    {
        $solutions = Solution::all();

        return view('admin.pages.solutions.index' ,compact('solutions'));
    }

    public function getEdit($id)
    {
        $solution = Solution::find($id);

        return view('admin.pages.solutions.edit' ,compact('solution'));
    }

    public function postIndex(SolutionRequest $request)
    {
        $request->store();

        return ['status' => 'success' ,'data' => 'Solution has been added successfully'];
    }

    public function postEdit(SolutionRequest $request , $id)
    {
        $request->edit($id);

        return ['status' => 'success' ,'data' => 'Solution has been updated successfully'];
    }

    public function getDelete($id)
    {
        $solution = Solution::find($id);

        $solution->delete();

        return redirect()->back();
    }
}
