@extends('admin.layouts.master')
@section('title')
    Users
@endsection
@section('models')
    <div class="modal fade" id="delete_user" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content text-center">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">do you want delete user ?</h5>
                </div>
                <div class="modal-footer text-center">
                    <a type="button" class="custom-btn red-bc modalDLTBTN">delete</a>
                    <button type="button" class="custom-btn green-bc" data-dismiss="modal">close</button>
                </div>
            </div>
        </div>
    </div>
    @foreach($users as $user)
        <div class="modal fade" id="edit_user{{$user->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content text-center">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">edit user information</h5>
                    </div>
                    <form action="{{route('admin.users.edit',['id' => $user->id])}}" method="post" enctype="multipart/form-data">
                        <div class="modal-body">
                            <div class="alert alert-success hidden SuccessMessage" ></div>
                            <div class="alert alert-danger hidden ErrorMessage" ></div>
                            {!! csrf_field() !!}
                            <div class="col-md-12 form-group">
                                <label>user name</label>
                                <input class="form-control" placeholder="user name" value="{{$user->name}}" name="name" type="text" required>
                            </div>
                            <div class="col-md-6 form-group">
                                <label>Email address</label>
                                <input class="form-control" placeholder="Email Address" value="{{$user->email}}" name="email" type="email" required>
                            </div>
                            <div class="col-md-6 form-group">
                                <label>password</label>
                                <input class="form-control" placeholder="password" name="password" type="password" required>
                            </div>
                            <div class="col-md-6 form-group">
                                <label>confirm password</label>
                                <input class="form-control" placeholder="confirm password" name="re-password" type="password" required>
                            </div>
                        </div>
                        <div class="modal-footer text-center">
                            <button type="submit" class="custom-btn green-bc submitBTN">save</button>
                            <button type="button" class="custom-btn red-bc" data-dismiss="modal">close</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    @endforeach
    <div class="modal fade" id="add_user" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content text-center">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">add new user</h5>
                </div>
                <form action="{{route('admin.users')}}" method="post" enctype="multipart/form-data">
                    <div class="modal-body">

                        <div class="alert alert-success hidden SuccessMessage" ></div>
                        <div class="alert alert-danger hidden ErrorMessage" ></div>
                        {!! csrf_field() !!}
                        <div class="col-md-6 form-group">
                            <label>user name</label>
                            <input class="form-control" placeholder="user name" type="text" required name="name">
                        </div>
                        <div class="col-md-6 form-group">
                            <label>Email address</label>
                            <input class="form-control" placeholder="Email Address" type="email" required name="email">
                        </div>
                        <div class="col-md-6 form-group">
                            <label>password</label>
                            <input class="form-control" placeholder="password" type="password" required name="password">
                        </div>
                        <div class="col-md-6 form-group">
                            <label>confirm password</label>
                            <input class="form-control" placeholder="confirm password" name="re-password" type="password" required>
                        </div>

                    </div>
                    <div class="modal-footer text-center">
                        <button type="submit" class="custom-btn green-bc submitBTN">add</button>
                        <button type="button" class="custom-btn red-bc" data-dismiss="modal">close</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
@section('content')
    <div class="content">
        <div class="col-sm-12 page-heading">
            <div class="col-sm-6">
                <h2>Users</h2>
            </div><!--End col-md-6-->
            <div class="col-sm-6">
                <ul class="breadcrumb">
                    <li><a href="{{route('admin.dashboard')}}">Dashboard</a></li>
                    <li class="active">users</li>
                </ul>
            </div><!--End col-md-6-->
        </div>
        <div class="spacer-15"></div>
        <div class="widget">
            <div class="widget-content">
                <div class="col-sm-12">
                    <button  data-toggle="modal" data-target="#add_user" class="custom-btn green-bc">
                        <i class="fa fa-plus"></i>
                        add user
                    </button>
                </div>
                <div class="spacer-15"></div>
                <div class="table-responsive">
                    <table class="table table-bordered table-hover text-center">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>name</th>
                            <th>Email address</th>
                            <th>options</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($users as $index => $user)
                            <tr>
                                <td>{{$index+1}}</td>
                                <td>{{$user->name}}</td>
                                <td>{{$user->email}}</td>
                                <td class="text-center">
                                    <button  data-toggle="modal" data-target="#edit_user{{$user->id}}" class="icon-btn green-bc">
                                        <i class="fa fa-pencil"></i>
                                        edit
                                    </button>
                                    <button data-url="{{route('admin.users.delete',['id' => $user->id])}}" data-toggle="modal" data-target="#delete_user" class="icon-btn red-bc deleteBTN">
                                        <i class="fa fa-trash-o"></i>
                                        delete
                                    </button>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection