@extends('site.layouts.master')
@section('title')
    Geographic
@endsection
@section('models')
    @foreach($therapies as $therapy)
    <div class="modal fade" id="pop{{$therapy->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h5 class="modal-title" id="exampleModalLabel">{{$therapy->name}}</h5>
                </div>
                <div class="modal-body">
                    <ul class="dot-lists">
                        @foreach(explode("\n" , $therapy->description) as $description)
                            <li class="col-sm-12">{{$description}}</li>
                        @endforeach
                    </ul>
                </div>
            </div>
        </div>
    </div>
    @endforeach
@endsection
@section('content')
    <section class="page-heading">
        <div class="container">
            <div class="row">
                <div class="col-md-12 wow fadeInUp">
                    <h2>therapy areas</h2>
                </div><!--End col-md-6-->
                <div class="col-md-12 wow fadeInUp">
                    <ul class="breadcrumb">
                        <li><a href="{{route('site.home')}}"><i class="fa fa-home"></i>home</a></li>
                        <li><a href="{{route('site.expertise')}}">Our Expertise</a></li>
                        <li class="active">therapy areas</li>
                    </ul>
                </div><!--End col-md-6-->
                <div class="col-sm-12">
                    <div class="custom-scroll scroll-down text-center">
                        <a class="mouse-icon" href="#exp">
                            <div class="icon-scroll"></div>
                        </a>
                    </div>
                </div>
            </div><!--End Row-->
        </div><!--End container-->
    </section>
    <div class="page-content">
        <!--  Expertise
        ===================================-->
        <section class="section-setting expertise" id="exp">
            <div class="container">
                <div class="row">
                    <div class="col-sm-12 wow fadeInUp">
                        <div class="head-title">
                            {{$settings->therapy}}
                        </div>
                    </div>
                    @foreach($therapies as $therapy)
                        <div class="col-md-3 col-sm-4 wow fadeInUp">
                            <a href="" class="exp-item" data-toggle="modal" data-target="#pop{{$therapy->id}}">
                                <img src="{{asset('storage/uploads/therapy/'.$therapy->image)}}">
                                <div class="custom-btn">more info</div>
                            </a>
                        </div>
                    @endforeach
                </div><!--End Row-->
            </div><!--End Container-->
        </section><!--End section-->
    </div>
@endsection