@extends('site.layouts.master')
@section('models')
    @foreach($sliders as $slider)
        <div class="modal fade" id="slide-pop-{{$slider->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-body">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                        <div class="head-title">{{$slider->title}}</div>
                        @foreach(explode("\n" , $slider->description) as $description)
                            <div class="info-text ">
                                {{$description}}
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    @endforeach
@endsection
@section('title')
Home page
@endsection
@section('content')
    <section class="slider">
        <div id="home-slider" class="carousel slide" data-ride="carousel">
            <div class="carousel-inner" role="listbox">
                @foreach($sliders as $index => $slider)
                    <div class="item @if($index == 0){{'active'}}@endif">
                        <div class="caption">
                            <div class="capt-cont">
                                <div class="headtitle">
                                    {{$slider->title}}
                                </div>
                            </div>
                            <button data-toggle="modal" data-target="#slide-pop-{{$slider->id}}" class="custom-btn">more details</button>
                        </div>
                    </div>
                @endforeach
            </div>
            <a class="right carousel-control" href="#home-slider" role="button" data-slide="next">
                <i class="fa fa-angle-right" aria-hidden="true"></i>
            </a>
            <a class="left carousel-control" href="#home-slider" role="button" data-slide="prev">
                <i class="fa fa-angle-left" aria-hidden="true"></i>
            </a>
        </div>
    </section>
    <div class="clearfix"></div>
    <div class="custom-scroll text-center"><a class="custom-btn custom-down fa fa-angle-down" href="#sol"></a></div>
    <div class="page-content">
        <!-- Solutions
        ===================================-->
        <section class="section-setting soluations" id="sol">
            <div class="container">
                <div class="row text-center">
                    <div class="col-md-12 wow fadeInUp text-center">
                        <div class="section-title">
                            <h3><span>our</span> Solutions</h3>
                            <p>
                                Our solutions are built on the recognition that each client situation is unique, requiring a different blend of skills, experience and approach to unlock the real value of data, no matter how the challenges may be presented.
                            </p>
                            <p>
                                We deliver business impact through innovation and flexibility, designing customized integrated solutions tailored to our clients’ needs. By integrating our techniques and bringing the knowledge we have, we ensure that the deliverables will produce actionable insights – fast.
                            </p>
                        </div><!--End Section-title-->
                    </div><!--End Col-sm-12-->
                    @foreach($solutions as $solution)
                        <div class="col-md-4 wow fadeInUp">
                            <div class="sol-item">
                                <h3>{{$solution->name}}</h3>
                                <p class="spec">
                                    {{$solution->info}}
                                </p>
                                <a href="{{route('site.solutions.single',['name' => $solution->name])}}">read more</a>
                            </div><!--End serv-item-->
                        </div>
                    @endforeach
                    <div class="spacer-15"></div>
                    <div class="spacer-15"></div>
                    <div class="col-sm-12 wow fadeInUp">
                        <a href="{{route('site.solutions')}}" class="custom-btn">
                            see more
                            <i class="fa fa-long-arrow-right"></i>
                        </a>
                    </div>
                </div><!--End Row-->
            </div><!--End Container-->
        </section><!--End section-->
        <section class="section-setting section-color">
            <div class="container">
                <div class="row text-center">
                    <div class="col-md-12 wow fadeInUp">
                        <div class="about-content">
                            <h2>
                                {{$about->title1}}
                            </h2>
                            <h2>
                                {{$about->title2}}
                            </h2>
                            <p>
                                {{$about->description1}}
                            </p>
                            <p>
                                {{$about->description2}}
                            </p>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-6 wow fadeInUp">
                        <div class="counter">
                            <div class="counter-cont">
                                <h3 class="timer" data-to="{{$about->counter1}}" data-speed="1800">0</h3>
                                <div class="count-name">{{$about->countries}}</div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-6 wow fadeInUp">
                        <div class="counter">
                            <div class="counter-cont">
                                <h3 class="timer" data-to="{{$about->counter2}}" data-speed="1800">0</h3>
                                <div class="count-name">{{$about->experts}}</div>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4 col-sm-12 wow fadeInUp">
                        <div class="counter">
                            <div class="counter-cont">
                                <h3 class="timer" data-to="{{$about->counter3}}" data-speed="1500">0</h3>
                                <div class="count-name"> {{$about->engagement}}</div>
                            </div>
                        </div>
                    </div>
                </div><!--End Row-->
            </div><!--End Container-->
        </section><!--End section-->
        <!--  Expertise
       ===================================-->
        <section class="section-setting expertise">
            <div class="container">
                <div class="row text-center">
                    <div class="col-md-12 wow fadeInUp text-center">
                        <div class="section-title">
                            <h3><span>our</span> Expertise</h3>
                            <p>
                                <span>Curis Health</span> team has a cumulative long experience over years on multiple therapy areas and having our own fieldwork team specialized in healthcare industry adds value to our business and to our clients.
                            </p>
                        </div><!--End Section-title-->
                    </div><!--End Col-sm-12-->
                    <div class="col-md-6 wow fadeInUp">
                        <div class="sol-item">
                            <h3>Geographic Scope</h3>
                            <p>
                                {{$geographic->info}}
                            </p>
                            <a href="{{route('site.expertise.geographic')}}">more info</a>
                        </div><!--End serv-item-->
                    </div>
                    <div class="col-md-6 wow fadeInUp">
                        <div class="sol-item">
                            <h3>Therapy Areas</h3>
                            <p>
                                {{\Illuminate\Support\Str::limit($settings->therapy ,150)}}
                            </p>
                            <a href="{{route('site.expertise.therapy')}}">more info</a>
                        </div><!--End serv-item-->
                    </div>
                </div><!--End Row-->
            </div><!--End Container-->
        </section><!--End section-->

    </div><!--End Page Content-->
@endsection