<?php

namespace App\Http\Controllers\Admin;

use App\Http\Requests\TherapyRequest;
use App\Setting;
use App\Therapy;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class TherapyController extends Controller
{
    //
    public function getIndex()
    {
        $therapies = Therapy::all();

        return view('admin.pages.therapy.index' ,compact('therapies'));
    }

    public function postEditTitle(Request $request)
    {
        $v = validator($request->all() ,[
            'therapy' => 'required'
        ] ,[
            'therapy.required' => 'Please enter title'
        ]);

        if ($v->fails()){
            return ['status' => 'error' ,'data' => implode(PHP_EOL ,$v->errors()->all())];
        }

        $settings = Setting::first();

        $settings->therapy = $request->therapy;

        if ($settings->save()){
            return ['status' => 'success' ,'data' => 'Title has been updated successfully'];
        }

        return ['status' => 'false' ,'data' => 'Error please try again later'];
    }

    public function postIndex(TherapyRequest $request)
    {
        $request->store();

        return ['status' => 'success' ,'data' => 'modal has been added successfully'];
    }

    public function postEdit(TherapyRequest $request , $id)
    {
        $request->edit($id);

        return ['status' => 'success' ,'data' => 'modal has been updated successfully'];
    }

    public function getDelete($id)
    {
        $therapy = Therapy::find($id);

        $destination = storage_path('uploads/therapy');
        @unlink($destination . "/{$therapy->image}");

        $therapy->delete();

        return redirect()->back();
    }
}
