<?php

namespace App\Providers;

use App\About;
use App\Contact;
use App\Setting;
use App\Solution;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
        Schema::defaultStringLength(191);
        view()->share([
            'settings' => Setting::first(),
            'allSolutions' => Solution::orderBy('id' , 'ASC')->take(5)->get(),
            'about' => About::first(),
            'contact' => Contact::first()
        ]);
    }
}
