@extends('admin.layouts.master')
@section('title')
    Dashboard
@endsection
@section('models')
    <div class="modal fade" id="delete_slide" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content text-center">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">do you want delet slide ?</h5>
                </div>
                <div class="modal-footer text-center">
                    <a type="button" class="custom-btn red-bc modalDLTBTN">delete</a>
                    <button type="button" class="custom-btn green-bc" data-dismiss="modal">close</button>
                </div>
            </div>
        </div>
    </div>
    @foreach($sliders as $slider)
        <div class="modal fade" id="edit_slide{{$slider->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content text-center">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">edit slide information</h5>
                    </div>
                    <form action="{{route('admin.sliders.edit',['id' => $slider->id])}}" method="post" enctype="multipart/form-data">
                        <div class="modal-body">

                            <div class="alert alert-success hidden SuccessMessage"></div>
                            <div class="alert alert-danger hidden ErrorMessage"></div>
                            {!! csrf_field() !!}

                            <div class="col-md-12 form-group">
                                <input class="form-control" placeholder="Head Title" value="{{$slider->title}}" name="title" type="text">
                            </div>
                            <div class="col-md-12 form-group">
                                <textarea class="form-control" name="description">{{$slider->description}}</textarea>
                            </div>
                        </div>
                        <div class="modal-footer text-center">
                            <button type="button" class="custom-btn green-bc submitBTN">save</button>
                            <button type="button" class="custom-btn red-bc" data-dismiss="modal">close</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    @endforeach
    <div class="modal fade" id="add_slide" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content text-center">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">add new slide</h5>
                </div>
                <form action="{{route('admin.sliders')}}" method="post" enctype="multipart/form-data">
                    {!! csrf_field() !!}
                    <div class="modal-body">

                        <div class="alert alert-success hidden SuccessMessage" id=""></div>
                        <div class="alert alert-danger hidden ErrorMessage" id=""></div>

                        <div class="col-md-12 form-group">
                            <input class="form-control" placeholder="Head Title" type="text" name="title">
                        </div>
                        <div class="col-md-12 form-group">
                            <textarea class="form-control" placeholder="info text" name="description"></textarea>
                        </div>
                    </div>
                    <div class="modal-footer text-center">
                        <button type="submit" class="custom-btn green-bc submitBTN">add</button>
                        <button type="button" class="custom-btn red-bc" data-dismiss="modal">close</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
@section('content')
    <div class="content">
        <div class="col-sm-12">
            <div class="widget">
                <div class="widget-title">site info</div>
                <div class="widget-content">

                    <form class="widget-content" action="{{route('admin.settings')}}" method="post" enctype="multipart/form-data">

                        <div class="alert alert-success hidden SuccessMessage" id=""></div>
                        <div class="alert alert-danger hidden ErrorMessage" id=""></div>

                        {!! csrf_field() !!}
                        <div class="col-sm-6 form-group">
                            <label>site name</label>
                            <input class="form-control" type="text" value="{{$settings->name}}" name="name">
                        </div>
                        <div class="spacer-15"></div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <div class="img-block">
                                    <img src="{{asset('storage/uploads/logo/'.$settings->logo)}}" class="img-responsive btn-product-image" style="cursor: pointer;">
                                    <input id="file-upload" type="file" name="logo" style="display: none;">
                                    <label for="file-upload" class="custom-btn custom-file-upload">
                                        change logo
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="spacer-15"></div>
                        <div class="col-sm-12 save-btn">
                            <button type="submit" class="custom-btn submitBTN">save change</button>
                        </div>
                    </form>
                </div>
            </div>
            <div class="widget">
                <div class="widget-title">Slide Show</div>
                <div class="widget-content">
                    <div class="col-sm-12">
                        <button  data-toggle="modal" data-target="#add_slide" class="custom-btn green-bc">
                            <i class="fa fa-plus"></i>
                            add new slide
                        </button>
                    </div>
                    <div class="spacer-15"></div>
                    <div class="table-responsive">
                        <table class="table table-bordered table-hover text-center">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>slide</th>
                                    <th>options</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($sliders as $index => $slider)
                                    <tr>
                                        <td>{{$index+1}}</td>
                                        <td>
                                            {{$slider->title}}
                                        </td>
                                        <td class="text-center">
                                            <button data-toggle="modal" data-target="#edit_slide{{$slider->id}}" class="icon-btn green-bc">
                                                <i class="fa fa-pencil"></i>
                                                edit
                                            </button>
                                            <button data-url="{{route('admin.sliders.delete',['id' => $slider->id])}}" data-toggle="modal" data-target="#delete_slide" class="icon-btn red-bc deleteBTN">
                                                <i class="fa fa-trash-o"></i>
                                                delete
                                            </button>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection