@extends('admin.layouts.master')
@section('title')
Messages
@endsection
@section('models')
    <div class="modal fade" id="send_mail" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h5 class="modal-title" id="exampleModalLabel">send message</h5>
                </div>
                <form action="{{route('admin.messages.send')}}" method="post" >
                    <div class="modal-body ask-quest-form">

                        <input type="hidden" name="ids">

                        <div class="alert alert-success hidden SuccessMessage"></div>
                        <div class="alert alert-danger hidden ErrorMessage"></div>
                        {!! csrf_field() !!}

                        <div class="form-group">
                            <textarea class="form-control" name="message" placeholder="Message"></textarea>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="custom-btn green-bc submitBTN">send</button>
                        <button type="button" class="custom-btn red-bc" data-dismiss="modal">close</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
@section('content')
    <div class="content">
        <div class="col-sm-12 page-heading">
            <div class="col-sm-6">
                <h2>Messages</h2>
            </div><!--End col-md-6-->
            <div class="col-sm-6">
                <ul class="breadcrumb">
                    <li><a href="{{route('admin.dashboard')}}">Dashboard</a></li>
                    <li class="active">Messages</li>
                </ul>
            </div><!--End col-md-6-->
        </div>
        <div class="spacer-15"></div>
        <div class="widget">
            <div class="widget-content">
                <div class="table-action">
                    <button data-toggle="modal" data-target="#send_mail" class="custom-btn green-bc">
                        <i class="fa fa-envelope-o"></i>
                        send message
                    </button>
                </div>
                <div class="table-responsive">
                    <table id="datatable" class="table table-bordered table-hover">
                        <thead>
                        <tr>
                            <th id="ID">
                                <div class="radio-wrap">
                                    <input type="checkbox" id="checkall">
                                    <label for="checkall"></label>
                                </div>
                            </th>
                            <th>name</th>
                            <th>Email Address</th>
                            <th>Received at</th>
                        </tr>
                        </thead>
                        <tbody>
                            @foreach($messages as $message)
                                <tr>
                                    <td class="ID">
                                        <div class="radio-wrap">
                                            <input type="checkbox" class="chk-box" value="{{$message->id}}" id="check{{$message->id}}">
                                            <label for="check{{$message->id}}"></label>
                                        </div>
                                    </td>
                                    <td>
                                        {{$message->name}}
                                    </td>
                                    <td>{{$message->email}}</td>
                                    <td>{{\Carbon\Carbon::parse($message->created_at)->format('dM ,Y')}}</td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection