@extends('admin.layouts.master')
@section('title')
    Our solutions
@endsection
@section('models')
    <div class="modal fade" id="delete_user" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content text-center">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">do you want delete solution ?</h5>
                </div>
                <div class="modal-footer text-center">
                    <a type="button" class="custom-btn red-bc modalDLTBTN">delete</a>
                    <button type="button" class="custom-btn green-bc" data-dismiss="modal">close</button>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('content')
    <div class="content">
        <div class="col-sm-12 page-heading">
            <div class="col-sm-6">
                <h2>Our solutions</h2>
            </div><!--End col-md-6-->
            <div class="col-sm-6">
                <ul class="breadcrumb">
                    <li><a href="{{route('admin.dashboard')}}">Dashboard</a></li>
                    <li class="active">Our solutions</li>
                </ul>
            </div><!--End col-md-6-->
        </div>
        <div class="spacer-15"></div>
        <div class="widget">
            <div class="widget-content">

                <form class="widget-content" action="{{route('admin.solutions')}}" method="post" enctype="multipart/form-data">

                    <div class="alert alert-success hidden SuccessMessage" id=""></div>
                    <div class="alert alert-danger hidden ErrorMessage" id=""></div>

                    {!! csrf_field() !!}
                    <div class="col-sm-12 form-group">
                        <label>name</label>
                        <input class="form-control" type="text" name="name">
                    </div>
                    <div class="spacer-15"></div>
                    <div class="col-sm-12 form-group">
                        <label>status</label>
                        <select class="form-control" name="status">
                            <option value="read more">read more</option>
                            <option value="coming soon">coming soon</option>
                        </select>
                    </div>
                    <div class="spacer-15"></div>
                    <div class="col-sm-12 form-group">
                        <label>Brief description</label>
                        <textarea class="form-control " name="info" ></textarea>
                    </div>
                    <div class="spacer-15"></div>
                    <div class="col-sm-12 form-group">
                        <label>Description</label>
                        <textarea class="form-control tiny-editor" ></textarea>
                    </div>
                    <div class="spacer-15"></div>
                    <div class="col-sm-12 save-btn">
                        <button type="submit" class="custom-btn submitBTN">save change</button>
                    </div>
                </form>
            </div>
        </div>
        <div class="widget">
            <div class="widget-content">
                <div class="spacer-15"></div>
                <div class="table-responsive">
                    <table class="table table-bordered table-hover text-center">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>name</th>
                            <th>options</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($solutions as $index => $solution)
                            <tr>
                                <td>{{$index+1}}</td>
                                <td>{{$solution->name}}</td>
                                <td class="text-center">
                                    <a href="{{route('admin.solutions.edit' ,['id' => $solution->id])}}" class="icon-btn green-bc">
                                        <i class="fa fa-pencil"></i>
                                        edit
                                    </a>
                                    <button data-url="{{route('admin.solutions.delete',['id' => $solution->id])}}" data-toggle="modal" data-target="#delete_user" class="icon-btn red-bc deleteBTN">
                                        <i class="fa fa-trash-o"></i>
                                        delete
                                    </button>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection