@extends('admin.layouts.master')
@section('title')
    Therapy
@endsection
@section('models')
    <div class="modal fade" id="delete_modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content text-center">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">do you want to delete</h5>
                </div>
                <div class="modal-footer text-center">
                    <button type="button" class="custom-btn red-bc modalDLTBTN">delete</button>
                    <button type="button" class="custom-btn green-bc" data-dismiss="modal">close</button>
                </div>
            </div>
        </div>
    </div>
    @foreach($therapies as $therapy)
        <div class="modal fade" id="edit_modal{{$therapy->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content text-center">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">edit model information</h5>
                    </div>
                    <form action="{{route('admin.therapy.edit',['id' => $therapy->id])}}" method="post" enctype="multipart/form-data">
                        <div class="modal-body">
                            <div class="alert alert-success hidden SuccessMessage" id=""></div>
                            <div class="alert alert-danger hidden ErrorMessage" id=""></div>
                            {!! csrf_field() !!}
                            <div class="form-group">
                                <input class="form-control" placeholder="modal name" value="{{$therapy->name}}" name="name" type="text" >
                            </div>
                            <div class="form-group">
                                <div class="img-block">
                                    <img src="{{asset('storage/uploads/therapy/'.$therapy->image)}}" class="img-responsive btn-product-image" style="cursor: pointer;">
                                    <input id="file-upload" type="file" name="image" style="display: none;">
                                    <label for="file-upload" class="custom-btn red-bc custom-file-upload">
                                        change photo
                                    </label>
                                </div>
                            </div>
                            <div class="form-group">
                                <textarea class="form-control" name="description">{{$therapy->description}}</textarea>
                            </div>

                        </div>
                        <div class="modal-footer text-center">
                            <button type="button" class="custom-btn green-bc submitBTN">save</button>
                            <button type="button" class="custom-btn" data-dismiss="modal">close</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    @endforeach
    <div class="modal fade" id="add_modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content text-center">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">add model information</h5>
                </div>
                <form action="{{route('admin.therapy')}}" method="post" enctype="multipart/form-data">
                    <div class="modal-body">
                        <div class="alert alert-success hidden SuccessMessage" id=""></div>
                        <div class="alert alert-danger hidden ErrorMessage" id=""></div>
                        {!! csrf_field() !!}

                        <div class="form-group">
                            <input class="form-control" placeholder="modal name" name="name" type="text" >
                        </div>
                        <div class="form-group">
                            <div class="img-block">

                                <img src="{{asset('assets/admin/images/1.png')}}" class="img-responsive btn-product-image" style="cursor: pointer;">
                                <input id="file-upload" type="file" name="image" style="display: none;">
                                <label for="file-upload" class="custom-btn red-bc custom-file-upload">
                                    change photo
                                </label>
                            </div>
                        </div>
                        <div class="form-group">
                            <textarea class="form-control" placeholder="details" name="description"></textarea>
                        </div>
                    </div>
                    <div class="modal-footer text-center">
                        <button type="button" class="custom-btn green-bc submitBTN">save</button>
                        <button type="button" class="custom-btn" data-dismiss="modal">close</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
@section('content')
    <div class="content">
        <div class="col-sm-12 page-heading">
            <div class="col-sm-6">
                <h2>Therapy Areas</h2>
            </div><!--End col-md-6-->
            <div class="col-sm-6">
                <ul class="breadcrumb">
                    <li><a href="{{route('admin.dashboard')}}">Dashboard</a></li>
                    <li class="active">Therapy Areas</li>
                </ul>
            </div><!--End col-md-6-->
        </div>
        <div class="spacer-15"></div>
        <div class="widget">
            <form class="widget-content" action="{{route('admin.settings.therapy')}}" method="post">

                <div class="alert alert-success hidden SuccessMessage" id=""></div>
                <div class="alert alert-danger hidden ErrorMessage" id=""></div>

                {!! csrf_field() !!}

                <div class="col-sm-12 form-group">
                    <label>head title </label>
                    <textarea class="form-control" name="therapy">{{$settings->therapy}}</textarea>
                </div>

                <div class="spacer-15"></div>
                <div class="col-sm-12 save-btn">
                    <button type="submit" class="custom-btn submitBTN">save change</button>
                </div>
            </form>
            <div class="widget-content">
                <div class="col-sm-12">
                    <button  data-toggle="modal" data-target="#add_modal" class="custom-btn green-bc">
                        <i class="fa fa-plus"></i>
                        add new modal
                    </button>
                </div>
                @foreach($therapies as $therapy)
                    <div class="col-md-3 col-sm-4">
                        <div class="exp-item">
                            <img src="{{asset('storage/uploads/therapy/'.$therapy->image)}}">
                            <div class="spacer-5"></div>
                            <div class="exp-item-act">
                                <button data-toggle="modal" data-target="#edit_modal{{$therapy->id}}" class="icon-btn green-bc">
                                    <i class="fa fa-pencil"></i> edit
                                </button>
                                <button data-url="{{route('admin.therapy.delete',['id' => $therapy->id])}}" data-toggle="modal" data-target="#delete_modal" class="icon-btn red-bc deleteBTN">
                                    <i class="fa fa-trash-o"></i> delete
                                </button>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </div>
@endsection