@extends('site.layouts.master')
@section('models')
    @foreach($sliders as $slider)
        <div class="modal fade" id="slide-pop-{{$slider->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-body">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                        <div class="head-title">{{$slider->title}}</div>
                        @foreach(explode("\n" , $slider->description) as $description)
                            <div class="info-text ">
                                {{$description}}
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    @endforeach
@endsection
@section('title')
Home page
@endsection
@section('content')
    <section class="slider">
        <div id="home-slider" class="carousel slide" data-ride="carousel">
            <div class="carousel-inner" role="listbox">
                @foreach($sliders as $index => $slider)
                    <div class="item @if($index == 0){{'active'}}@endif">
                        <div class="caption">
                            <div class="capt-cont">
                                <div class="headtitle">
                                    {{$slider->title}}
                                </div>
                            </div>
                            <button data-toggle="modal" data-target="#slide-pop-{{$slider->id}}" class="custom-btn">more details</button>
                        </div>
                    </div>
                @endforeach
            </div>
            <a class="right carousel-control" href="#home-slider" role="button" data-slide="next">
                <i class="fa fa-angle-right" aria-hidden="true"></i>
            </a>
            <a class="left carousel-control" href="#home-slider" role="button" data-slide="prev">
                <i class="fa fa-angle-left" aria-hidden="true"></i>
            </a>
        </div>
    </section>
    <div class="clearfix"></div>
    <div class="custom-scroll text-center"><a class="custom-btn custom-down fa fa-angle-down" href="#sol"></a></div>
    <div class="page-content mer" style="padding:5%; text-align:justify;">

            <p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size: 32px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;color: #ab1318;text-transform: uppercase;font-weight: 700;letter-spacing: 1px;font-size: 18px !important;"><span style="line-height:107%;font-size: 18px !important;">Privacy Notice</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size: 18px;line-height:107%;">This Privacy Notice explains who we are, the personal data we collect, how we use it, who we share it with, and what your legal rights are.</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size: 18px !important;line-height:107%;color: #aa1217;font-weight: 700;margin: 15px 0;display: block;letter-spacing: 0.5px;">1. About Curis Health</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">Curis Health is a specialist research agency, commonly known as “Curis Health”.&nbsp;</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size: 18px !important;line-height: 107%;color: #aa1217;font-weight: 700;margin: 15px 0;display: block;letter-spacing: 0.5px;">2. What personal data do we collect?</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:.0001pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">The personal information we collect and process is provided to us directly by you in the survey. This may include:</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:.0001pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">•&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;Name and email address</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:.0001pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">•&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;Phone number</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:.0001pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">•&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;Business name</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:.0001pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">&nbsp;</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size: 18px !important;line-height: 107%;color: #aa1217;font-weight: 700;margin: 15px 0;display: block;letter-spacing: 0.5px;">3. What is Curis Health’s legal basis for processing your personal data?</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">Curis Health requires a legal basis to process your personal data:</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">Curis Health’s legal basis for contacting you to ask if you wish to take part in this research survey is either (a) your consent to take part in the survey, where this has been provided, or (b) our legitimate interest in contacting relevant organizations in order to achieve a representative and sufficiently large sample for the purposes of the research.</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:4.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">Curis Health’s legal basis for collecting and processing your responses to this research survey is your consent to take part in the survey.</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:4.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">If you wish to withdraw your consent at any time, please see the section below covering ‘Your Rights’.</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:4.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size: 18px !important;line-height: 107%;color: #aa1217;font-weight: 700;margin: 15px 0;display: block;letter-spacing: 0.5px;">4. How will Curis Health use any personal data including survey responses you provide?</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:4.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">Responding to this survey is entirely voluntary and any answers are given with your consent.</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">Curis Health will keep your responses in strict confidence in accordance with this Privacy Policy. Curis Health can assure you that you will NOT be identifiable in any published results.</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">Curis Health will use your personal data and responses solely for research purposes and to produce anonymous, statistical research findings and insights.</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size: 18px !important;line-height: 107%;color: #aa1217;font-weight: 700;margin: 15px 0;display: block;letter-spacing: 0.5px;">5. How will Curis Health ensure my personal information is secure?</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">Curis Health takes its information security responsibilities seriously and applies various precautions to ensure your information is protected from loss, theft or misuse. Security precautions include appropriate physical security of offices and controlled and limited access to computer systems.</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">Curis Health has regular internal and external audits of its information security controls and working practices.</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size: 18px !important;line-height: 107%;color: #aa1217;font-weight: 700;margin: 15px 0;display: block;letter-spacing: 0.5px;">6. How long will Curis Health retain my personal data and identifiable responses?</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">Curis Health will only retain your data in a way that can identify you for as long as is necessary to support the research project and findings. In practice, this means that once we have satisfactorily reported the anonymous research findings, we will securely remove your personal, identifying data from our systems.</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">At the end of the survey we will ask you if we may keep your contact details, so that we can recontact you in the next two years and ask if you are willing to take part in another survey on this topic. Unless you have explicitly agreed that we can keep your data for this purpose, we will securely remove your personal data from our systems.</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:.0001pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">Your rights:</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:.0001pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">•&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;You have the right to access your personal data within the limited period that Curis Health holds it.</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:.0001pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">•&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;Providing responses to this survey is entirely voluntary and is done so with your consent. You have the right to withdraw your consent and to object to our processing of your personal data at any time.</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:.0001pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">•&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;You also have the right to rectify any incorrect or out-of-date personal data about you which we may hold.</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:.0001pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">•&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;If you want to exercise your rights, please contact us at the below Curis Health address: <span style="color:#0563C1;text-decoration:underline;"><a href="mailto:DPO@curis-health.com">DPO@curis-health.com</a></span></span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:.0001pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">&nbsp;</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:4.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size: 18px !important;line-height: 107%;color: #aa1217;font-weight: 700;margin: 15px 0;display: block;letter-spacing: 0.5px;">7. Where will my personal data be held &amp; processed?</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:4.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">All of your personal data used and collected for this survey will be stored by Curis Health in data centers and servers within Europe.</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:4.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;font-size: 18px !important;line-height: 107%;color: #aa1217;font-weight: 700;margin: 15px 0;display: block;letter-spacing: 0.5px;">8. How can I contact Curis Health about this survey and/or my personal data?</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:4.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">Email: <span style="color:#0563C1;text-decoration:underline;"><a href="mailto:DPO@Curis-Health.com">DPO@Curis-Health.com</a></span> with “survey name” in the email subject line</span></p>
<p style="margin-top:0in;margin-right:0in;margin-bottom:8.0pt;margin-left:0in;line-height:107%;font-size:15px;font-family:&quot;Calibri&quot;,sans-serif;text-align:justify;"><span style="font-size:19px;line-height:107%;">&nbsp;</span></p>

    </div>
@endsection