@extends('site.layouts.master')
@section('title')
    Solutions
@endsection
@section('content')
    <section class="page-heading">
        <div class="container">
            <div class="row">
                <div class="col-md-12 wow fadeInUp">
                    <h2>our Solutions</h2>
                </div><!--End col-md-6-->
                <div class="col-md-12 wow fadeInUp">
                    <ul class="breadcrumb">
                        <li><a href="{{route('site.home')}}"><i class="fa fa-home"></i>home</a></li>
                        <li class="active">our Solutions</li>
                    </ul>
                </div><!--End col-md-6-->
                <div class="col-sm-12">
                    <div class="custom-scroll scroll-down text-center">
                        <a class="mouse-icon" href="#sol">
                            <div class="icon-scroll"></div>
                        </a>
                    </div>
                </div>
            </div><!--End Row-->
        </div><!--End container-->
    </section>
    <div class="page-content">
        <section class="section-setting soluations" id="sol">
            <div class="container">
                <div class="row text-center">
                    <div class="col-md-12 wow fadeInUp text-center">
                        <div class="section-title">
                            <h3><span>our</span> Solutions</h3>
                            <p>
                                Our solutions are built on the recognition that each client situation is unique, requiring a different blend of skills, experience and approach to unlock the real value of data, no matter how the challenges may be presented.
                            </p>
                            <p>
                                We deliver business impact through innovation and flexibility, designing customized integrated solutions tailored to our clients’ needs. By integrating our techniques and bringing the knowledge we have, we ensure that the deliverables will produce actionable insights – fast.
                            </p>
                        </div><!--End Section-title-->
                    </div><!--End Col-sm-12-->

                    @foreach($solutions as $solution)
                        <div class="@if($solution->info == null){{'col-md-6 '}}@else{{'col-md-4'}}@endif  @if($loop->last){{'col-md-offset-3'}}@endif wow fadeInUp">
                            <div class="sol-item">
                                <h3>{{$solution->name}}</h3>
                                @if($solution->info != null)
                                    <p class="spec">
                                        {{$solution->info}}
                                    </p>
                                @endif
                                @if($solution->info != null)
                                    <a href="{{route('site.solutions.single',['name' => $solution->name])}}">read more</a>
                                    @else
                                    <a class="soon" >coming soon</a>
                                @endif
                            </div><!--End serv-item-->
                        </div>
                    @endforeach
                </div><!--End Row-->
            </div><!--End Container-->
        </section><!--End section-->
    </div>
@endsection